org.cybergarage.upnp.ssdp

## Class SSDPPacket

- java.lang.Object
- - org.cybergarage.upnp.ssdp.SSDPPacket

    public class SSDPPacket
    extends Object

### Field Summary

Fields
`byte[]` `packetBytes`

### Constructor Summary

Constructors
Constructor and Description
`SSDPPacket(byte[] buf, int length)`

### Method Summary

Methods
`String` `getCacheControl()`
`byte[]` `getData()`
`DatagramPacket` `getDatagramPacket()`
`String` `getHost()`
`InetAddress` `getHostInetAddress()`
`int` `getLeaseTime()`
`String` `getLocalAddress()`
`String` `getLocation()`
`String` `getMAN()`
`int` `getMX()`
`String` `getNT()`
`String` `getNTS()`
`String` `getRemoteAddress()`
`InetAddress` `getRemoteInetAddress()`
`int` `getRemotePort()`
`String` `getServer()`
`String` `getST()`
`long` `getTimeStamp()`
`String` `getUSN()`
`boolean` `isAlive()`
`boolean` `isByeBye()`
`boolean` `isDiscover()`
`boolean` `isRootDevice()`
`void` `setLocalAddress(String addr)`
`void` `setTimeStamp(long value)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### packetBytes

    public byte[] packetBytes

### Constructor Detail

#### SSDPPacket

    public SSDPPacket(byte[] buf,
              int length)

### Method Detail

#### getDatagramPacket

    public DatagramPacket getDatagramPacket()

#### setLocalAddress

    public void setLocalAddress(String addr)

#### getLocalAddress

    public String getLocalAddress()

#### setTimeStamp

    public void setTimeStamp(long value)

#### getTimeStamp

    public long getTimeStamp()

#### getRemoteInetAddress

    public InetAddress getRemoteInetAddress()

#### getRemoteAddress

    public String getRemoteAddress()

#### getRemotePort

    public int getRemotePort()

#### getData

    public byte[] getData()

#### getHost

    public String getHost()

#### getCacheControl

    public String getCacheControl()

#### getLocation

    public String getLocation()

#### getMAN

    public String getMAN()

#### getST

    public String getST()

#### getNT

    public String getNT()

#### getNTS

    public String getNTS()

#### getServer

    public String getServer()

#### getUSN

    public String getUSN()

#### getMX

    public int getMX()

#### getHostInetAddress

    public InetAddress getHostInetAddress()

#### isRootDevice

    public boolean isRootDevice()

#### isDiscover

    public boolean isDiscover()

#### isAlive

    public boolean isAlive()

#### isByeBye

    public boolean isByeBye()

#### getLeaseTime

    public int getLeaseTime()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`